Bug 1173801 - Xwayland extremely slow and eats 100% CPU rendering on Intel chipset
Xwayland extremely slow and eats 100% CPU rendering on Intel chipset
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
22
All Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-12 20:45 EST by Alex Villacís Lasso
Modified: 2015-08-24 13:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-26 04:10:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Villacís Lasso 2014-12-12 20:45:36 EST
Description of problem:
When testing the gnome session on wayland on an intel chipset, any attempt to render the window of a X client makes Xwayland consume 100% of one CPU without making any advance on actually displaying the window. If the target program supports the wayland backend, running as GDK_BACKEND=wayland program displays the program correctly and without any delay.


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.16.2-1.fc21.i686
xorg-x11-server-Xwayland-1.16.2-1.fc21.i686
kernel-PAE-core-3.17.4-302.fc21.i686
libdrm-2.4.58-3.fc21.i686
mesa-vdpau-drivers-10.3.3-1.20141110.fc21.i686
mesa-libGL-10.3.3-1.20141110.fc21.i686
mesa-dri-drivers-10.3.3-1.20141110.fc21.i686
mesa-libGLU-9.0.0-7.fc21.i686
mesa-libEGL-devel-10.3.3-1.20141110.fc21.i686
mesa-libwayland-egl-10.3.3-1.20141110.fc21.i686
mesa-libglapi-10.3.3-1.20141110.fc21.i686
mesa-libGL-devel-10.3.3-1.20141110.fc21.i686
mesa-libEGL-10.3.3-1.20141110.fc21.i686
mesa-libgbm-10.3.3-1.20141110.fc21.i686
mesa-libxatracker-10.3.3-1.20141110.fc21.i686
mesa-filesystem-10.3.3-1.20141110.fc21.i686


How reproducible:
Always on tested intel chipsets. Observed on a x86_64 system with a G31/G33 chipset, and with an i686 system (Acer Aspire One ZG5) with a 945GME chipset.

Steps to Reproduce:
1. Install Fedora 21 and all files required for gnome-wayland session on a system with an intel chipset.
2. Connect remotely through ssh and run top to see cpu activity
3. Start gnome-wayland on Fedora 21 system.

Actual results:
The GNOME session appears to start normally. However, when trying to start any graphical client (which uses Xwayland), the start action appears to do nothing. If, while waiting, user presses Super key to bring the menu into view, a transparent rectangle bounded by a white border appears where the graphical client should appear. Examination of the top display shows Xwayland pegged at 100% cpu use. After a long time (60 seconds or so), some pieces of the GUI start appearing, but rendering never completes.

Expected results:
The gnome-wayland session should start normally, and all applications should quickly appear on screen as they do under the Xorg gnome session. The Xwayland program should NOT be pegged at 100% CPU.

Additional info:
Xwayland works correctly on a different laptop that uses a Radeon chipset. This issue is intel specific.
Comment 1 Alex Villacís Lasso 2014-12-28 20:43:25 EST
Now, when gnome-terminal manages to partially paint, and I move the cursor inside the window, xwayland crashes:

dic 28 10:56:35 karlalex.palosanto.com gdm-Xorg-:0[556]: (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
dic 28 10:56:35 karlalex.palosanto.com gdm-Xorg-:0[556]: (EE) systemd-logind: failed to get session: PID 556 does not belong to any known session
dic 28 20:29:35 karlalex.palosanto.com gdm-Xorg-:0[556]: (EE) Server terminated successfully (0). Closing log file.
dic 28 20:29:35 karlalex.palosanto.com gdm-Xorg-:0[17751]: (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
dic 28 20:29:35 karlalex.palosanto.com gdm-Xorg-:0[17751]: (EE) systemd-logind: failed to get session: PID 17751 does not belong to any known session
dic 28 20:36:25 karlalex.palosanto.com gnome-session[18346]: (EE)
dic 28 20:36:25 karlalex.palosanto.com gnome-session[18346]: (EE) Backtrace:
dic 28 20:36:25 karlalex.palosanto.com gnome-session[18346]: (EE) 0: /usr/bin/Xwayland (OsLookupColor+0x119) [0x5935a9]
dic 28 20:36:25 karlalex.palosanto.com gnome-session[18346]: (EE) 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x358b6100cf]
dic 28 20:36:25 karlalex.palosanto.com gnome-session[18346]: (EE) 2: /usr/bin/Xwayland (miPointerUpdateSprite+0x369) [0x483569]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) 3: /usr/bin/Xwayland (PanoramiXRenderReset+0x483) [0x4f8763]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) 4: /usr/bin/Xwayland (InitOutput+0xc33) [0x429133]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) 5: /lib64/libffi.so.6 (ffi_call_unix64+0x4c) [0x358ea05d60]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) 6: /lib64/libffi.so.6 (ffi_call+0x2e1) [0x358ea057d1]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) 7: /lib64/libwayland-client.so.0 (wl_log_set_handler_client+0x1c8d) [0x3598a0a00d]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) 8: /lib64/libwayland-client.so.0 (_init+0xd73) [0x3598a06433]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) 9: /lib64/libwayland-client.so.0 (_init+0xdf4) [0x3598a06684]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) 10: /lib64/libwayland-client.so.0 (wl_display_dispatch_queue_pending+0x24) [0x3598a065f4]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) 11: /usr/bin/Xwayland (_start+0x4f2) [0x426ed2]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) 12: /usr/bin/Xwayland (WakeupHandler+0x6b) [0x5611db]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) 13: /usr/bin/Xwayland (WaitForSomething+0x1c7) [0x58cf27]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) 14: /usr/bin/Xwayland (SendErrorToClient+0x111) [0x55c391]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) 15: /usr/bin/Xwayland (remove_fs_handlers+0x416) [0x5606d6]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) 16: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x358ba1ffe0]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) 17: /usr/bin/Xwayland (_start+0x29) [0x42658e]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) 18: ? (?+0x29) [0x29]
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE)
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) Segmentation fault at address 0x3c
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE)
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE) Caught signal 11 (Segmentation fault). Server aborting
dic 28 20:36:26 karlalex.palosanto.com gnome-session[18346]: (EE)
Comment 2 Alex Villacís Lasso 2015-01-06 11:03:36 EST
Any additional information I can supply?
Comment 4 Olivier Fourdan 2015-01-23 08:06:31 EST
(In reply to Alex Villacís Lasso from comment #1)

The backtrace from comment #1 gives:

0: /usr/bin/Xwayland (OsLookupColor+0x119) [0x5935a9]
1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x358b6100cf]
2: /usr/bin/Xwayland (miPointerUpdateSprite+0x369) [0x483569]
3: /usr/bin/Xwayland (PanoramiXRenderReset+0x483) [0x4f8763]
4: /usr/bin/Xwayland (InitOutput+0xc33) [0x429133]
5: /lib64/libffi.so.6 (ffi_call_unix64+0x4c) [0x358ea05d60]
6: /lib64/libffi.so.6 (ffi_call+0x2e1) [0x358ea057d1]
7: /lib64/libwayland-client.so.0 (wl_log_set_handler_client+0x1c8d) [0x3598a0a00d]
8: /lib64/libwayland-client.so.0 (_init+0xd73) [0x3598a06433]
9: /lib64/libwayland-client.so.0 (_init+0xdf4) [0x3598a06684]
10: /lib64/libwayland-client.so.0 (wl_display_dispatch_queue_pending+0x24) [0x3598a065f4]
11: /usr/bin/Xwayland (_start+0x4f2) [0x426ed2]
12: /usr/bin/Xwayland (WakeupHandler+0x6b) [0x5611db]
13: /usr/bin/Xwayland (WaitForSomething+0x1c7) [0x58cf27]
14: /usr/bin/Xwayland (SendErrorToClient+0x111) [0x55c391]
15: /usr/bin/Xwayland (remove_fs_handlers+0x416) [0x5606d6]
16: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x358ba1ffe0]
17: /usr/bin/Xwayland (_start+0x29) [0x42658e]
18: ? (?+0x29) [0x29]

which looks very similar to the backtrace attached to upstream bug https://bugs.freedesktop.org/show_bug.cgi?id=79609 here https://bugs.freedesktop.org/attachment.cgi?id=100374

The fix for that particular crash is said to be:

http://cgit.freedesktop.org/xorg/xserver/commit/?id=2172714c67d8701aa54c202e89f246f1dddac80a

Not sure that will fix the speed issue (i.e. you may have more than one problem here).
Comment 6 Alex Villacís Lasso 2015-01-25 16:08:18 EST
(In reply to Olivier Fourdan from comment #4)
> (In reply to Alex Villacís Lasso from comment #1)
> 
> The backtrace from comment #1 gives:
> 
> 0: /usr/bin/Xwayland (OsLookupColor+0x119) [0x5935a9]
> 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x358b6100cf]
> 2: /usr/bin/Xwayland (miPointerUpdateSprite+0x369) [0x483569]
> 3: /usr/bin/Xwayland (PanoramiXRenderReset+0x483) [0x4f8763]
> 4: /usr/bin/Xwayland (InitOutput+0xc33) [0x429133]
> 5: /lib64/libffi.so.6 (ffi_call_unix64+0x4c) [0x358ea05d60]
> 6: /lib64/libffi.so.6 (ffi_call+0x2e1) [0x358ea057d1]
> 7: /lib64/libwayland-client.so.0 (wl_log_set_handler_client+0x1c8d)
> [0x3598a0a00d]
> 8: /lib64/libwayland-client.so.0 (_init+0xd73) [0x3598a06433]
> 9: /lib64/libwayland-client.so.0 (_init+0xdf4) [0x3598a06684]
> 10: /lib64/libwayland-client.so.0 (wl_display_dispatch_queue_pending+0x24)
> [0x3598a065f4]
> 11: /usr/bin/Xwayland (_start+0x4f2) [0x426ed2]
> 12: /usr/bin/Xwayland (WakeupHandler+0x6b) [0x5611db]
> 13: /usr/bin/Xwayland (WaitForSomething+0x1c7) [0x58cf27]
> 14: /usr/bin/Xwayland (SendErrorToClient+0x111) [0x55c391]
> 15: /usr/bin/Xwayland (remove_fs_handlers+0x416) [0x5606d6]
> 16: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x358ba1ffe0]
> 17: /usr/bin/Xwayland (_start+0x29) [0x42658e]
> 18: ? (?+0x29) [0x29]
> 
> which looks very similar to the backtrace attached to upstream bug
> https://bugs.freedesktop.org/show_bug.cgi?id=79609 here
> https://bugs.freedesktop.org/attachment.cgi?id=100374
> 
> The fix for that particular crash is said to be:
> 
> http://cgit.freedesktop.org/xorg/xserver/commit/
> ?id=2172714c67d8701aa54c202e89f246f1dddac80a
> 
> Not sure that will fix the speed issue (i.e. you may have more than one
> problem here).


I have just compiled a new xserver from the Fedora 21 SRPM, including the referenced patch. Now the crash does not occur, but the other symptoms are still there. 

I must make an update to the symptom description. When I mentioned that the window does not finish rendering, I was describing the gnome-terminal window. In this window, the terminal rectangle shows the cursor but all the text is invisible. Typing commands works but the output is invisible as well. However, the window decorations show normally, after a very long delay where the Xwayland just spins around displaying nothing. When tested on the file manager, it did the same for around a minute, then showed the normal contents of the window. However, all interaction with the window resulted in a considerable delay before updating the window contents, all with xwayland spinning at 100%.
Comment 7 Olivier Fourdan 2015-01-26 07:59:26 EST
(In reply to Alex Villacís Lasso from comment #6)
> [...]
> I must make an update to the symptom description. When I mentioned that the
> window does not finish rendering, I was describing the gnome-terminal
> window. In this window, the terminal rectangle shows the cursor but all the
> text is invisible. Typing commands works but the output is invisible as
> well. However, the window decorations show normally, after a very long delay
> where the Xwayland just spins around displaying nothing. When tested on the
> file manager, it did the same for around a minute, then showed the normal
> contents of the window. However, all interaction with the window resulted in
> a considerable delay before updating the window contents, all with xwayland
> spinning at 100%.

Yes, I can reproduce that on the Acer Aspire One. AFAICS it's because it's using the swrast.

I don't know about the other hardware you mentioned (the other system with a G31/G33 chipset) because I don't have such hardware at hand.

So could you please provide the complete output of "journalctl -e _COMM=gnome-session" after attempting an unsuccessful GNOME Wayland session?
Comment 10 Olivier Fourdan 2015-01-26 09:21:28 EST
(In reply to Olivier Fourdan from comment #7)
> So could you please provide the complete output of "journalctl -e
> _COMM=gnome-session" after attempting an unsuccessful GNOME Wayland session?

Could you also ssh to the system and capture the output of while GNOME Wayland session is running on the system with a G31/G33 chipset:

DISPLAY=unix:1.0 LIBGL_ALWAYS_INDIRECT=1  glxinfo
Comment 12 Alex Villacís Lasso 2015-01-26 23:00:01 EST
(In reply to Olivier Fourdan from comment #10)
> (In reply to Olivier Fourdan from comment #7)
> > So could you please provide the complete output of "journalctl -e
> > _COMM=gnome-session" after attempting an unsuccessful GNOME Wayland session?
> 
> Could you also ssh to the system and capture the output of while GNOME
> Wayland session is running on the system with a G31/G33 chipset:
> 
> DISPLAY=unix:1.0 LIBGL_ALWAYS_INDIRECT=1  glxinfo

The very act of running the above command causes another Xwayland crash:

(EE)
(EE) Backtrace:
(EE) 0: /usr/bin/Xwayland (OsLookupColor+0x119) [0x5935e9]
(EE) 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x3f484100cf]
(EE) 2: /usr/lib64/dri/swrast_dri.so (__driDriverGetExtensions_vmw
(EE) 3: /usr/lib64/dri/swrast_dri.so (__driDriverGetExtensions_vmw
(EE) 4: /usr/lib64/dri/swrast_dri.so (__driDriverGetExtensions_vmw
(EE) 5: /usr/lib64/dri/swrast_dri.so (__driDriverGetExtensions_vmw
(EE) 6: /usr/lib64/dri/swrast_dri.so (__driDriverGetExtensions_vmw
(EE) 7: /usr/lib64/dri/swrast_dri.so (__driDriverGetExtensions_vmw
(EE) 8: /usr/lib64/dri/swrast_dri.so (__driDriverGetExtensions_vmw
(EE) 9: /usr/lib64/dri/swrast_dri.so (__driDriverGetExtensions_vmw
(EE) 10: /usr/lib64/dri/swrast_dri.so (__driDriverGetExtensions_vm
(EE) 11: /usr/bin/Xwayland (ht_dump_contents+0x7746) [0x4c30c6]
(EE) 12: /usr/bin/Xwayland (ht_dump_contents+0x69ef) [0x4c156f]
(EE) 13: /usr/bin/Xwayland (ht_dump_contents+0x6b54) [0x4c1804]
(EE) 14: /usr/bin/Xwayland (_CallCallbacks+0x34) [0x5619d4]
(EE) 15: /usr/bin/Xwayland (CloseDownClient+0x5f) [0x55b9ff]
(EE) 16: /usr/bin/Xwayland (SendErrorToClient+0x32e) [0x55c5ee]
(EE) 17: /usr/bin/Xwayland (remove_fs_handlers+0x416) [0x560716]
(EE) 18: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x3f47c1ffe0]
(EE) 19: /usr/bin/Xwayland (_start+0x29) [0x42658e]
(EE) 20: ? (?+0x29) [0x29]
(EE)
(EE) Segmentation fault at address 0x58
(EE)
Fatal server error:
(EE) Caught signal 11 (Segmentation fault). Server aborting
(EE)


However, before the crash, glxinfo manages to report:

[alex@karlalex ~]$ DISPLAY=unix:1.0 LIBGL_ALWAYS_INDIRECT=1  glxinfo
name of display: unix:1.0
display: unix:1  screen: 0
direct rendering: No (LIBGL_ALWAYS_INDIRECT set)
server glx vendor string: SGI
server glx version string: 1.4
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGIS_multisample, GLX_SGIX_fbconfig, 
    GLX_SGIX_pbuffer, GLX_SGI_make_current_read
client glx vendor string: Mesa Project and SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile, 
    GLX_ARB_create_context_robustness, GLX_ARB_fbconfig_float, 
    GLX_ARB_framebuffer_sRGB, GLX_ARB_get_proc_address, GLX_ARB_multisample, 
    GLX_EXT_buffer_age, GLX_EXT_create_context_es2_profile, 
    GLX_EXT_fbconfig_packed_float, GLX_EXT_framebuffer_sRGB, 
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, 
    GLX_EXT_visual_rating, GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer, 
    GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_SGI_make_current_read, 
    GLX_SGI_swap_control, GLX_SGI_video_sync
GLX version: 1.4
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, GLX_EXT_visual_rating, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_multithread_makecurrent, 
    GLX_OML_swap_method, GLX_SGIS_multisample, GLX_SGIX_fbconfig, 
    GLX_SGIX_pbuffer, GLX_SGI_make_current_read
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 3.5, 128 bits)
OpenGL version string: 1.4 (2.1 Mesa 10.4.1)
OpenGL extensions:
    GL_APPLE_packed_pixels, GL_ARB_depth_texture, GL_ARB_draw_buffers, 
    GL_ARB_fragment_program, GL_ARB_fragment_program_shadow, 
    GL_ARB_multisample, GL_ARB_multitexture, GL_ARB_occlusion_query, 
    GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_shadow, 
    GL_ARB_texture_border_clamp, GL_ARB_texture_compression, 
    GL_ARB_texture_cube_map, GL_ARB_texture_env_add, 
    GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar, 
    GL_ARB_texture_env_dot3, GL_ARB_texture_mirrored_repeat, 
    GL_ARB_texture_non_power_of_two, GL_ARB_texture_rectangle, 
    GL_ARB_transpose_matrix, GL_ARB_vertex_program, GL_ARB_window_pos, 
    GL_ATIX_texture_env_combine3, GL_ATI_draw_buffers, 
    GL_ATI_texture_env_combine3, GL_ATI_texture_mirror_once, GL_EXT_abgr, 
    GL_EXT_bgra, GL_EXT_blend_color, GL_EXT_blend_equation_separate, 
    GL_EXT_blend_func_separate, GL_EXT_blend_minmax, GL_EXT_blend_subtract, 
    GL_EXT_copy_texture, GL_EXT_draw_range_elements, GL_EXT_fog_coord, 
    GL_EXT_framebuffer_object, GL_EXT_multi_draw_arrays, GL_EXT_packed_pixels, 
    GL_EXT_point_parameters, GL_EXT_polygon_offset, GL_EXT_rescale_normal, 
    GL_EXT_secondary_color, GL_EXT_separate_specular_color, 
    GL_EXT_shadow_funcs, GL_EXT_stencil_two_side, GL_EXT_stencil_wrap, 
    GL_EXT_subtexture, GL_EXT_texture, GL_EXT_texture3D, 
    GL_EXT_texture_compression_dxt1, GL_EXT_texture_compression_s3tc, 
    GL_EXT_texture_edge_clamp, GL_EXT_texture_env_add, 
    GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, 
    GL_EXT_texture_lod_bias, GL_EXT_texture_mirror_clamp, 
    GL_EXT_texture_object, GL_EXT_texture_rectangle, GL_EXT_vertex_array, 
    GL_IBM_texture_mirrored_repeat, GL_INGR_blend_func_separate, 
    GL_MESA_pack_invert, GL_MESA_ycbcr_texture, GL_NV_blend_square, 
    GL_NV_depth_clamp, GL_NV_fog_distance, GL_NV_light_max_exponent, 
    GL_NV_texgen_reflection, GL_NV_texture_env_combine4, 
    GL_NV_texture_rectangle, GL_SGIS_generate_mipmap, 
    GL_SGIS_texture_border_clamp, GL_SGIS_texture_edge_clamp, 
    GL_SGIS_texture_lod, GL_SUN_multi_draw_arrays

120 GLX Visuals
    visual  x   bf lv rg d st  colorbuffer  sr ax dp st accumbuffer  ms  cav
  id dep cl sp  sz l  ci b ro  r  g  b  a F gb bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------------
0x024 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x025 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0fa 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0fb 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0fc 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0fd 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0fe 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0ff 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x100 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x101 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x102 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x103 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x104 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x105 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x106 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x107 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x108 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x109 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x10a 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x10b 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x10c 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x10d 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x10e 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x10f 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x110 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x111 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x112 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x113 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x114 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x115 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x116 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x117 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x118 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x119 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x11a 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x11b 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x11c 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x11d 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x11e 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x11f 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x120 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x121 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x122 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x123 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x124 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x125 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x126 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x127 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x128 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x129 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x12a 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x12b 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x12c 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x12d 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x12e 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x12f 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x130 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x131 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x132 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x133 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x134 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x135 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x136 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x137 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x138 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x139 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x13a 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x13b 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x13c 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x13d 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x13e 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x13f 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x140 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x141 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x142 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x143 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x144 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x145 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x146 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x147 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x148 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x149 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x14a 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x14b 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x14c 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x14d 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x14e 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x14f 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x150 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x151 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x152 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x153 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x154 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x155 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x156 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x157 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x158 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x159 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x15a 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x15b 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x15c 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x15d 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x15e 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x15f 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x160 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x161 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x162 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x163 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x164 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x165 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x166 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x167 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x168 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x169 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x16a 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x16b 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x16c 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x16d 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x16e 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x045 32 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None

180 GLXFBConfigs:
    visual  x   bf lv rg d st  colorbuffer  sr ax dp st accumbuffer  ms  cav
  id dep cl sp  sz l  ci b ro  r  g  b  a F gb bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------------
0x046 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x047 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x048 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x049 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x04a 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x04b 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x04c 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x04d 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x04e 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x04f 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x050 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x051 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x052 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x053 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x054 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x055 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x056 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x057 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x058 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x059 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x05a 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x05b 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x05c 32 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x05d 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x05e 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x05f 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x060 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x061 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x062 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x063 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x064 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x065 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x066 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x067 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x068 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x069 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x06a 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x06b 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x06c 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x06d 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x06e 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x06f 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x070 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x071 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x072 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x073 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x074 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x075 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x076 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x077 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x078 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x079 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x07a 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x07b 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x07c 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x07d 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x07e 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x07f 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x080 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x081 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x082  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x083  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x084  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x085  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x086  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x087  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x088  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x089  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x08a  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x08b  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x08c  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x08d  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x08e  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x08f  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x090  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x091  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x092  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x093  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x094  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x095  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x096  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x097  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x098  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x099  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x09a  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 32  0  0  0  0  0  0 0 None
0x09b  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x09c  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 32  0  0  0  0  0  0 0 None
0x09d  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x09e  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 32  0  0  0  0  0  0 0 None
0x09f  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x0a0 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0a1 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0a2 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0a3 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0a4 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0a5 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0 16 16 16 16  0 0 Slow
0x0a6 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x0a7 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x0a8 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x0a9 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x0aa 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0  0  0  0  0  0 0 None
0x0ab 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 16  0 16 16 16 16  0 0 Slow
0x0ac 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x0ad 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x0ae 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x0af 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x0b0 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0  0  0  0  0  0 0 None
0x0b1 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  0 16 16 16 16  0 0 Slow
0x0b2 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0b3 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x0b4 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0b5 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x0b6 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0b7 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x0b8 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x0b9 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x0ba 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x0bb 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x0bc 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0  0  0  0  0  0 0 None
0x0bd 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 32  0 16 16 16 16  0 0 Slow
0x0be 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0bf 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0c0 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0c1 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0c2 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0c3 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0c4 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0c5 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0c6 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0c7 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0c8 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0c9 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0ca 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0cb 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0cc 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0cd 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0ce 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0cf 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0d0 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0d1 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0d2 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0d3 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0d4 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0d5 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0d6 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x0d7 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x0d8 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x0d9 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x0da 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0  0  0  0  0  0 0 None
0x0db 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x0dc  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0dd  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0de  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0df  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0e0  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x0e1  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0 16 16 16  0  0 0 Slow
0x0e2  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0e3  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0e4  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0e5  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0e6  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x0e7  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x0e8  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0e9  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0ea  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0eb  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0ec  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0  0  0  0  0  0 0 None
0x0ed  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  0 16 16 16  0  0 0 Slow
0x0ee  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0ef  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0f0  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0f1  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0f2  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0f3  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0f4  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 32  0  0  0  0  0  0 0 None
0x0f5  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x0f6  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 32  0  0  0  0  0  0 0 None
0x0f7  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 32  0 16 16 16  0  0 0 Slow
0x0f8  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 32  0  0  0  0  0  0 0 None
0x0f9  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 32  0 16 16 16  0  0 0 Slow
Comment 13 Alex Villacís Lasso 2015-01-26 23:01:30 EST
(In reply to Olivier Fourdan from comment #7)
> (In reply to Alex Villacís Lasso from comment #6)
> > [...]
> > I must make an update to the symptom description. When I mentioned that the
> > window does not finish rendering, I was describing the gnome-terminal
> > window. In this window, the terminal rectangle shows the cursor but all the
> > text is invisible. Typing commands works but the output is invisible as
> > well. However, the window decorations show normally, after a very long delay
> > where the Xwayland just spins around displaying nothing. When tested on the
> > file manager, it did the same for around a minute, then showed the normal
> > contents of the window. However, all interaction with the window resulted in
> > a considerable delay before updating the window contents, all with xwayland
> > spinning at 100%.
> 
> Yes, I can reproduce that on the Acer Aspire One. AFAICS it's because it's
> using the swrast.
> 
> I don't know about the other hardware you mentioned (the other system with a
> G31/G33 chipset) because I don't have such hardware at hand.
> 
> So could you please provide the complete output of "journalctl -e
> _COMM=gnome-session" after attempting an unsuccessful GNOME Wayland session?

The output of journalctl gnome-session gets spammed with tracker-store output, so it is useless.
Comment 14 Alex Villacís Lasso 2015-01-26 23:06:57 EST
When using ordinary Xorg, glxinfo reports the following:

[alex@karlalex ~]$ LIBGL_ALWAYS_INDIRECT=1  glxinfo
name of display: :0
display: :0  screen: 0
direct rendering: No (LIBGL_ALWAYS_INDIRECT set)
server glx vendor string: SGI
server glx version string: 1.4
server glx extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile, 
    GLX_ARB_fbconfig_float, GLX_ARB_framebuffer_sRGB, GLX_ARB_multisample, 
    GLX_EXT_create_context_es2_profile, GLX_EXT_framebuffer_sRGB, 
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, 
    GLX_EXT_visual_rating, GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGIS_multisample, GLX_SGIX_fbconfig, 
    GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, GLX_SGI_swap_control
client glx vendor string: Mesa Project and SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile, 
    GLX_ARB_create_context_robustness, GLX_ARB_fbconfig_float, 
    GLX_ARB_framebuffer_sRGB, GLX_ARB_get_proc_address, GLX_ARB_multisample, 
    GLX_EXT_buffer_age, GLX_EXT_create_context_es2_profile, 
    GLX_EXT_fbconfig_packed_float, GLX_EXT_framebuffer_sRGB, 
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, 
    GLX_EXT_visual_rating, GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer, 
    GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_SGI_make_current_read, 
    GLX_SGI_swap_control, GLX_SGI_video_sync
GLX version: 1.4
GLX extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile, 
    GLX_ARB_fbconfig_float, GLX_ARB_framebuffer_sRGB, 
    GLX_ARB_get_proc_address, GLX_ARB_multisample, 
    GLX_EXT_create_context_es2_profile, GLX_EXT_framebuffer_sRGB, 
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, 
    GLX_EXT_visual_rating, GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_multithread_makecurrent, GLX_OML_swap_method, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_SGI_make_current_read, 
    GLX_SGI_swap_control
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) G33 
OpenGL version string: 1.4 (2.1 Mesa 10.4.1)
OpenGL extensions:
    GL_3DFX_texture_compression_FXT1, GL_APPLE_packed_pixels, 
    GL_ARB_depth_texture, GL_ARB_draw_buffers, GL_ARB_fragment_program, 
    GL_ARB_multisample, GL_ARB_multitexture, GL_ARB_occlusion_query, 
    GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_shadow, 
    GL_ARB_texture_border_clamp, GL_ARB_texture_compression, 
    GL_ARB_texture_cube_map, GL_ARB_texture_env_add, 
    GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar, 
    GL_ARB_texture_env_dot3, GL_ARB_texture_mirrored_repeat, 
    GL_ARB_texture_non_power_of_two, GL_ARB_texture_rectangle, 
    GL_ARB_transpose_matrix, GL_ARB_vertex_program, GL_ARB_window_pos, 
    GL_ATIX_texture_env_combine3, GL_ATI_draw_buffers, 
    GL_ATI_texture_env_combine3, GL_EXT_abgr, GL_EXT_bgra, 
    GL_EXT_blend_color, GL_EXT_blend_equation_separate, 
    GL_EXT_blend_func_separate, GL_EXT_blend_minmax, GL_EXT_blend_subtract, 
    GL_EXT_copy_texture, GL_EXT_draw_range_elements, GL_EXT_fog_coord, 
    GL_EXT_framebuffer_object, GL_EXT_multi_draw_arrays, GL_EXT_packed_pixels, 
    GL_EXT_point_parameters, GL_EXT_polygon_offset, GL_EXT_rescale_normal, 
    GL_EXT_secondary_color, GL_EXT_separate_specular_color, 
    GL_EXT_shadow_funcs, GL_EXT_stencil_two_side, GL_EXT_stencil_wrap, 
    GL_EXT_subtexture, GL_EXT_texture, GL_EXT_texture3D, 
    GL_EXT_texture_compression_dxt1, GL_EXT_texture_compression_s3tc, 
    GL_EXT_texture_edge_clamp, GL_EXT_texture_env_add, 
    GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, 
    GL_EXT_texture_filter_anisotropic, GL_EXT_texture_lod_bias, 
    GL_EXT_texture_object, GL_EXT_texture_rectangle, GL_EXT_vertex_array, 
    GL_IBM_texture_mirrored_repeat, GL_INGR_blend_func_separate, 
    GL_MESA_pack_invert, GL_MESA_ycbcr_texture, GL_NV_blend_square, 
    GL_NV_light_max_exponent, GL_NV_texgen_reflection, 
    GL_NV_texture_env_combine4, GL_NV_texture_rectangle, 
    GL_SGIS_generate_mipmap, GL_SGIS_texture_border_clamp, 
    GL_SGIS_texture_edge_clamp, GL_SGIS_texture_lod, GL_SUN_multi_draw_arrays

12 GLX Visuals
    visual  x   bf lv rg d st  colorbuffer  sr ax dp st accumbuffer  ms  cav
  id dep cl sp  sz l  ci b ro  r  g  b  a F gb bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------------
0x020 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x021 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x073 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x074 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x075 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x076 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x077 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x078 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x079 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x07a 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x07b 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x05a 32 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None

24 GLXFBConfigs:
    visual  x   bf lv rg d st  colorbuffer  sr ax dp st accumbuffer  ms  cav
  id dep cl sp  sz l  ci b ro  r  g  b  a F gb bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------------
0x05b  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x05c  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x05d  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x05e  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x05f 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x060 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x061 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x062 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x063  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x064  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x065 32 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x066 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x067  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x068  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x069  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x06a  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x06b 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x06c 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x06d 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x06e 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x06f  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x070  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x071 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x072 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
Comment 15 Olivier Fourdan 2015-01-27 03:15:34 EST
(In reply to Alex Villacís Lasso from comment #12)
> The very act of running the above command causes another Xwayland crash:

Yes, I saw that as well, but one problem at a time :)

> However, before the crash, glxinfo manages to report:
> OpenGL vendor string: VMware, Inc.
> OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 3.5, 128 bits)

This is the problem.

(In reply to Alex Villacís Lasso from comment #14)
> When using ordinary Xorg, glxinfo reports the following:
> OpenGL vendor string: Intel Open Source Technology Center
> OpenGL renderer string: Mesa DRI Intel(R) G33 

So it's basically the same issue as with the Acer Netbook.
Comment 16 Alex Villacís Lasso 2015-01-27 08:55:20 EST
(In reply to Olivier Fourdan from comment #15)
> (In reply to Alex Villacís Lasso from comment #12)
> > The very act of running the above command causes another Xwayland crash:
> 
> Yes, I saw that as well, but one problem at a time :)
> 
> > However, before the crash, glxinfo manages to report:
> > OpenGL vendor string: VMware, Inc.
> > OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 3.5, 128 bits)
> 
> This is the problem.
> 

Why is this the problem? Is is because:
* It was supposed to choose accelerated rendering instead?
* The swrast must be necessarily used in xwayland but it was not tested/crashes/something else? 
* Some other issue?

How does this mesh with the fact that the radeon laptop manages to run xwayland correctly without issues?

> (In reply to Alex Villacís Lasso from comment #14)
> > When using ordinary Xorg, glxinfo reports the following:
> > OpenGL vendor string: Intel Open Source Technology Center
> > OpenGL renderer string: Mesa DRI Intel(R) G33 
> 
> So it's basically the same issue as with the Acer Netbook.

Is there some place where I can read more about the Acer Netbook issue? One of the laptops where I see the problem happens to be an Acer Aspire One ZG5 netbook (945GME chipset).
Comment 18 Olivier Fourdan 2015-01-27 09:54:22 EST
(In reply to Alex Villacís Lasso from comment #16)
> How does this mesh with the fact that the radeon laptop manages to run
> xwayland correctly without issues?

Different hardware/driver. Xwayland with glamor works fine with other Intel hardware as well (e.g. i965)

> > (In reply to Alex Villacís Lasso from comment #14)
> Is there some place where I can read more about the Acer Netbook issue? One
> of the laptops where I see the problem happens to be an Acer Aspire One ZG5
> netbook (945GME chipset).

Sorry if I didn't get my meaning across, it's not an issue with the Acer Netbook specifically (it's just that you mentioned testing with a Netbook in comment #0 and I happen to have the same hardware here as well), it's an issue with i915 I reckon.

Disabling glamor in Xwayland does fix the issue (as tested with small patch in mutter on that very same hardware). It is not fast, but it's usable.

So the problem lies between glamor and i915 (thus the two upstream bugs linked).
Comment 20 Olivier Fourdan 2015-02-06 02:48:02 EST
Patch to address this issue has been picked up upstream:

http://lists.x.org/archives/xorg-devel/2015-February/045527.html
Comment 21 Alex Villacís Lasso 2015-02-06 12:16:09 EST
How do I query the value of GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB for my current hardware without compiling a C program?

If I understand correctly, failure to pass the test will disable glamor. Will the Xwayland then use purely software rendering, or will it use a different model of hardware acceleration?
Comment 22 Alex Villacís Lasso 2015-02-08 18:28:23 EST
(In reply to Olivier Fourdan from comment #20)
> Patch to address this issue has been picked up upstream:
> 
> http://lists.x.org/archives/xorg-devel/2015-February/045527.html

I have compiled a test XWayland using this patch in addition to the previous one, and I can confirm that Xwayland no longer hangs.
Comment 23 Alex Villacís Lasso 2015-05-27 11:40:39 EDT
Problem still persists on Fedora 22 on the same hardware (Acer Aspire One notebook). The one difference is that since GTK+3 programs now seem to use wayland by default when available, the problem is not visible until the user runs a program that still uses X, such as Firefox.

Just applying the patches mentioned above would make wayland much more usable on older hardware.
Comment 24 Alex Villacís Lasso 2015-05-27 11:51:45 EDT
(In reply to Alex Villacís Lasso from comment #21)
> How do I query the value of GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB for
> my current hardware without compiling a C program?
> 

To answer my own question:

[alex@avillacis ~]$ glxinfo -l | grep GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB
libGL error: Version 4 or later of flush extension not found
libGL error: failed to load driver: i915
        GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB = 64
[alex@avillacis ~]$ 

This was on a machine that exhibits the Xwayland issue but still runs Fedora 21 (not the Acer notebook).
Comment 25 Alex Villacís Lasso 2015-06-24 11:13:40 EDT
On Fedora 22, problem no longer occurs with xorg-x11-server-Xwayland-1.17.2-1.x86_64. Need to confirm on original Acer Aspire One.

However, I now get an annoying flickering of the mouse every time it is moved around. This makes mouse manipulation a bit difficult. I will open a new bug for that. No mouse flickering occurs with X11 session.

BTW, bugs #1206436, #1207943, #1215496, #1192691 are still present in gnome-wayland session.
Comment 26 Olivier Fourdan 2015-06-25 03:01:57 EDT
(In reply to Alex Villacís Lasso from comment #25)
> On Fedora 22, problem no longer occurs with
> xorg-x11-server-Xwayland-1.17.2-1.x86_64. Need to confirm on original Acer
> Aspire One.

Sure, let's close this bug if the fix works for you, once you've tried on the Aspire One.

> However, I now get an annoying flickering of the mouse every time it is
> moved around. This makes mouse manipulation a bit difficult. I will open a
> new bug for that. No mouse flickering occurs with X11 session.

Under Wayland, the pointer is handled by the Wayland compositor (mutter in this cae), unlike in X11 where the X server handles the pointer. So this is not a X server issue.

> BTW, bugs #1206436, #1207943, #1215496, #1192691 are still present in
> gnome-wayland session.
Comment 27 Alex Villacís Lasso 2015-06-25 19:35:44 EDT
Bug confirmed to have been fixed on the Acer Aspire One netbook.
Comment 28 Olivier Fourdan 2015-06-26 04:10:26 EDT
(In reply to Alex Villacís Lasso from comment #27)
> Bug confirmed to have been fixed on the Acer Aspire One netbook.

Thanks, closing this bug then.

Note You need to log in before you can comment on or make changes to this bug.